## ros-kinetic-tf2-web-republisher 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_web_republisher)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS tf tf2_ros geometry_msgs actionlib actionlib_msgs roscpp message_generation)
find_package(Boost REQUIRED COMPONENTS thread)

#######################################
## Declare ROS messages and services ##
#######################################

add_action_files(
  DIRECTORY action
  FILES TFSubscription.action
)

add_service_files(
  DIRECTORY services
  FILES RepublishTFs.srv
)

add_message_files(
  DIRECTORY msg
  FILES TFArray.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES actionlib_msgs std_msgs geometry_msgs roscpp
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS tf tf2_ros geometry_msgs actionlib actionlib_msgs message_runtime
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executables
add_executable(${PROJECT_NAME} src/tf_web_republisher.cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)
add_dependencies(${PROJECT_NAME}
  ${PROJECT_NAME}_generate_messages_cpp ${catkin_EXPORTED_TARGETS}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

#############
## Rostest ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest(test/test_tf2_web_republisher.test)
endif()

=== debian/changelog ===
ros-kinetic-tf2-web-republisher (0.3.2-0xenial) xenial; urgency=high

  * Merge pull request #25 <https://github.com/RobotWebTools/tf2_web_republisher/issues/25> from VictorLamoine/develop
    Fix compilation with c++11
  * add rostest
  * Update travis configuration to test against kinetic (#24 <https://github.com/RobotWebTools/tf2_web_republisher/issues/24>)
  * Merge pull request #22 <https://github.com/RobotWebTools/tf2_web_republisher/issues/22> from daniel86/develop
    Added dependency to message_generation and message_runtime
  * Contributors: Daniel Bessler, Jihoon Lee, Nils Berg, Victor Lamoine

 -- Russell Toris <rctoris@wpi.edu>  Mon, 20 Nov 2017 00:00:00 -0000

ros-kinetic-tf2-web-republisher (0.3.1-0xenial) xenial; urgency=high

  * Merge pull request #17 <https://github.com/RobotWebTools/tf2_web_republisher/issues/17> from T045T/develop
    Only log errors for the first exception on each source/target pair
  * set is_okay in TFPair default c'tor
  * don't log every exception, but only changes in state for each pair of source and target frame
  * Contributors: Nils Berg, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 01 Mar 2017 00:00:00 -0000

ros-kinetic-tf2-web-republisher (0.3.0-0xenial) xenial; urgency=high

  * Merge pull request #16 from T045T/tf2_republisher_service
    Tf2 republisher service
  * add back action server functionality
  * modularize code that can be used by both the action and service implementation
  * remove test folder
  * change terminology to reflect the fact that this is now a service, rather than an Action server
    also remove some high-frequency debug output
  * change TFArray member name from data to transforms
  * change tf2_web_republisher to use a service and dynamically advertised topics instead of an action call
    TODO: testing
  * consistent 2 space indentation
  * Contributors: Nils Berg, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 11 Dec 2014 00:00:00 -0000

ros-kinetic-tf2-web-republisher (0.2.2-0xenial) xenial; urgency=high

  * release prepare
  * Merge pull request #14 from T045T/send_initial_transformation
    make sure at least one transformation is sent
  * make sure at least one transformation is sent, even if the tf is (and stays) the identity
  * Merge pull request #13 from T045T/develop
    stop sending TF updates when removing a cancelled goal
  * stop sending TF updates when removing a cancelled goal
  * URLs added to package XML
  * Contributors: Nils Berg, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 15 Aug 2014 00:00:00 -0000

ros-kinetic-tf2-web-republisher (0.2.1-0xenial) xenial; urgency=high

  * cleanup
  * ROS version checked for tf2 API namespace
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Apr 2014 00:00:00 -0000

ros-kinetic-tf2-web-republisher (0.2.0-0xenial) xenial; urgency=high

  * General clean up
  * Use new tf2_ros namespace in hydro
  * Added CI with travis-ci

 -- Russell Toris <rctoris@wpi.edu>  Thu, 29 Aug 2013 00:00:00 -0000

ros-kinetic-tf2-web-republisher (0.1.0-0xenial) xenial; urgency=high

  * version 0.1.0
  * Merge branch 'groovy-devel' of git://github.com/KaijenHsiao/tf2_web_republisher into groovy-devel
    Conflicts:
    CMakeLists.txt
  * more debug output
  * merge
  * Merge branch 'groovy-devel' of github.com:RobotWebTools/tf2_web_republisher into groovy-devel
    Conflicts:
    CMakeLists.txt
    src/tf_web_republisher.cpp
  * catkin fixes
  * added unit test files and fixed CMakeLists.txt
  * added test from fuerte-devel
  * updated CMakeLists to fix test_subscription2
  * Merge pull request #3 <https://github.com/RobotWebTools/tf2_web_republisher/issues/3> from jkammerl/groovy-devel
    adding rate control parameter to action goal
  * adding rate control per action client
  * Merge branch 'fuerte-devel' of github.com:RobotWebTools/tf2_web_republisher into groovy-devel
  * catkin fixes
  * added function to remove leading slash in tf frame ids to avoid tf2 error
  * deleting Makefile
  * deleting manifest.xml
  * catkinization of tf2_web_republisher.. not yet working due to missing geometry_experimental dependency
  * revised version that handles multiple goals/actions
  * initial commit

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 Feb 2013 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-tf2-web-republisher
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-tf, ros-kinetic-tf2-ros
Homepage: http://ros.org/wiki/tf2_web_republisher
Standards-Version: 3.9.2

Package: ros-kinetic-tf2-web-republisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-tf2-ros
Description: Republishing of Selected TFs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-tf2-web-republisher//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
